Ответ на: версия jQuery для DocTrix

Главная Форумы Обсуждаем DocTrix+Nintex+SharePoint версия jQuery для DocTrix Ответ на: версия jQuery для DocTrix

#570
Evgeniy Mescheryakov
Evgeniy Mescheryakov
Участник

Добрый день!

Да, DocTrix Platform 2013 переключает режим совместимости в браузере.

Для поддержки работы существующего кода изначально использовался режим совместимости с IE8. В нем же по умолчанию работает и DocTrix Platform 2010.

В версии 2.0.4-2.0.5 режим совместимости для не layouts страниц был повышен до IE9.

В планах есть повышение режима совместимости до IE 10, но пока это не реализовано.

Если нужно изменить режим совместимости для отдельно взятой страницы, можно сделать это программно, обеспечив, чтобы код выполнился после того, как DocTrix переопределит заголовок. Но к сожалению нет гарантии, что после этого используемые на этой же странице фичи платформы смогут работать в стандартном режиме. Нужно проверять.